# [−][src]Function nix::unistd::fpathconf

    pub fn fpathconf(fd: RawFd, var: PathconfVar) -> Result<Option<c_long>>

Like `pathconf`, but works with file descriptors instead of paths (see fpathconf(2))

# Parameters

- `fd`: The file descriptor whose variable should be interrogated
- `var`: The pathconf variable to lookup

# Returns

- `Ok(Some(x))`: the variable's limit (for limit variables) or its implementation level (for option variables). Implementation levels are usually a decimal-coded date, such as 200112 for POSIX 2001.12
- `Ok(None)`: the variable has no limit (for limit variables) or is unsupported (for option variables)
- `Err(x)`: an error occurred

# Help

## Keyboard Shortcuts

`?`
  Show this help dialog
`S`
  Focus the search field
`↑`
  Move up in search results
`↓`
  Move down in search results
`↹`
  Switch tab
`⏎`
  Go to active search result
`+`
  Expand all sections
`-`
  Collapse all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g., `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g., `vec -> usize` or `* -> vec`)

Search multiple things at once by splitting your query with comma (e.g., `str,u8` or `String,struct:Vec,test`)